> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify SIP Trunk

> Run a connectivity check against a SIP trunk

# Verify SIP Trunk

Run a connectivity check against a SIP trunk. The platform attempts to register/connect using the configured credentials and reports success or failure. Trunks must be verified before they can be activated.

## Endpoint

```
POST /api/v1/sip-trunks/{trunk_id}/verify
```

## Path parameters

<ParamField path="trunk_id" type="string" required>SIP trunk UUID.</ParamField>

## Request headers

<ParamField header="Authorization" type="string" required>
  Bearer token. Format: `Bearer talq_your_environment_token_here`
</ParamField>

## Examples

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://app.talkover.ai/api/v1/sip-trunks/trunk-uuid-1/verify" \
    -H "Authorization: Bearer talq_your_environment_token_here"
  ```
</RequestExample>

## Response

### Verification Successful

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "is_verified": true,
      "health_status": "healthy",
      "last_health_check_at": "2024-01-15T14:30:00Z"
    }
  }
  ```
</ResponseExample>

### Verification Failed

<ResponseExample>
  ```json theme={null}
  {
    "success": false,
    "data": {
      "is_verified": false,
      "health_status": "unhealthy",
      "error": "Authentication failed (401)"
    }
  }
  ```
</ResponseExample>
